package com.ruoyi.project.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 报警记录管理对象 t_alarmhistory
 *
 * @author ruoyi
 * @date 2021-01-11
 */
public class TAlarmhistory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识id */
    private Long id;

    /** 装置 */
    @Excel(name = "装置", dictType = "PLANT_DIVIDE")
    private String plantCode;

    /** 预警类型ID */
    private Long typeId;

    /** 表名称 */
    @Excel(name = "表名称")
    private String tableName;

    /** 负责人员工编号 */
    @Excel(name = "负责人员工编号")
    private String staffid;

    /** 预警类型 */
    @Excel(name = "预警类型")
    private String typeName;

    /** 预警字段名称 */
    @Excel(name = "预警字段")
    private String fieldName;

    /** 负责人姓名 */
    @Excel(name = "负责人姓名")
    private String principalName;

    /** 负责人邮箱 */
    @Excel(name = "负责人邮箱")
    private String principalEmail;

    /** 预警等级 */
    @Excel(name = "预警等级")
    private String alarmLevel;

    /** 预警内容 */
    @Excel(name = "预警内容")
    private String alarmContent;

    /** 发送时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "发送时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date sendTime;

    /** 删除标识 */
    private Long delFlag;

    /** 创建人*/
    private String createrCode;

    /** 创建日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date createdate;

    /** 更新人 */
    private String updaterCode;

    /** 更新日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date updatedate;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 查询开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date startDate;

    /** 查询结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date endDate;

    /** 是否为首页查询数据 */
    private String isHome;

    /** 首页查询时间*/
    private String homeTime;

    /** 首页查询时间晚上*/
    private String homeTimeNight;

    /** 首页预警信息 */
    private String[] warnInformation;

    /** 预警内容数量 */
    @Excel(name = "预警内容数量")
    private Long alarmNum;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setTypeId(Long typeId)
    {
        this.typeId = typeId;
    }

    public Long getTypeId()
    {
        return typeId;
    }
    public void setTypeName(String typeName)
    {
        this.typeName = typeName;
    }

    public String getTypeName()
    {
        return typeName;
    }
    public void setFieldName(String fieldName)
    {
        this.fieldName = fieldName;
    }

    public String getFieldName()
    {
        return fieldName;
    }
    public void setTableName(String tableName)
    {
        this.tableName = tableName;
    }

    public String getTableName()
    {
        return tableName;
    }
    public void setStaffid(String staffid)
    {
        this.staffid = staffid;
    }

    public String getStaffid()
    {
        return staffid;
    }
    public void setPrincipalName(String principalName)
    {
        this.principalName = principalName;
    }

    public String getPrincipalName()
    {
        return principalName;
    }
    public void setPrincipalEmail(String principalEmail)
    {
        this.principalEmail = principalEmail;
    }

    public String getPrincipalEmail()
    {
        return principalEmail;
    }
    public void setAlarmLevel(String alarmLevel)
    {
        this.alarmLevel = alarmLevel;
    }

    public String getAlarmLevel()
    {
        return alarmLevel;
    }
    public void setAlarmContent(String alarmContent)
    {
        this.alarmContent = alarmContent;
    }

    public String getAlarmContent()
    {
        return alarmContent;
    }
    public void setSendTime(Date sendTime)
    {
        this.sendTime = sendTime;
    }

    public Date getSendTime()
    {
        return sendTime;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setStartDate(Date startDate) { this.startDate = startDate; }

    public Date getStartDate() { return startDate; }
    public void setEndDate(Date endDate) { this.endDate = endDate; }

    public Date getEndDate() { return endDate; }
    public void setWarnInformation(String[] warnInformation) { this.warnInformation = warnInformation; }

    public String[] getWarnInformation() { return warnInformation; }
    public void setIsHome(String isHome)
    {
        this.isHome = isHome;
    }

    public String getIsHome()
    {
        return isHome;
    }
    public void setHomeTime(String homeTime)
    {
        this.homeTime = homeTime;
    }

    public String getHomeTime()
    {
        return homeTime;
    }
    public void setHomeTimeNight(String homeTimeNight)
    {
        this.homeTimeNight = homeTimeNight;
    }

    public String getHomeTimeNight()
    {
        return homeTimeNight;
    }
    public void setAlarmNum(Long alarmNum) { this.alarmNum = alarmNum; }

    public Long getAlarmNum() { return alarmNum; }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("typeId", getTypeId())
            .append("alarmLevel", getAlarmLevel())
            .append("alarmContent", getAlarmContent())
            .append("sendTime", getSendTime())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("startDate", getStartDate())
            .append("endDate", getEndDate())
            .append("warnInformation", getWarnInformation())
            .append("alarmNum", getAlarmNum())
            .toString();
    }
}
